Subject: Re: [Intel-gfx] linux-next: build failure after merge of the drm-intel-fixes tree

From: Tvrtko Ursulin <[email-masked]>
Date: Tue, 1 Feb 2022 09:08:59 +0000

On 31/01/2022 22:27, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the drm-intel-fixes tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
> 
> drivers/gpu/drm/i915/i915_vma.c: In function 'i915_vma_bind':
> drivers/gpu/drm/i915/i915_vma.c:451:25: error: 'ret' undeclared (first use in this function); did you mean 'net'?
>    451 |                         ret = i915_gem_object_wait_moving_fence(vma->obj, true);
>        |                         ^~~
>        |                         net
> 
> Caused by commit
> 
>    2e872d87cbf2 ("drm/i915: delete shadow "ret" variable")
> 
> I have reverted that commit for today.

Dropping was the right call - I have since removed it from 
drm-intel-fixes as well.

Root cause was a bad Fixes: tag in that patch which caused it to be 
wrongly cherry-picked and I did not build test before pushing.

We can't edit the wrong Fixes: tag now, so for future reference only, 
2e872d87cbf2 ("drm/i915: delete shadow "ret" variable") should not be 
backported to 5.17 by anyone.

Wrong tag:
Fixes: f6c466b84cfa ("drm/i915: Add support for moving fence waiting")

Correct tag should have been:
Fixes: 2f6b90da9192 ("drm/i915: Use vma resources for async unbinding")

Regards,

Tvrtko